Δευτέρα, 29 Νοεμβρίου 2010

Νέα PwnageTool, redsn0w & ultrasn0w

H dev-Team σήμερα έδωσε στην κυκλοφορία την αναβαθμισμένη έκδοση του ultrasn0w, η οποία είναι συμβατή με τα iPhone 3G και iPhone 3GS με baseband μεγαλύτερες της 05.13.04
Συνοπτικά #1 (redsn0w for OSX + Windows):
  1. Εάν έχετε iPhone 3GS με παλιά bootrom και είστε ήδη unlocked αλλά θέλετε να πάτε στην 4.2.1 περιμένετε μέχρι να βγει ένα unofficial bundle
  2. Χρησιμοποιήστε το redsn0w για OSX ή Windows.  Ενεργοποιήστε το “Install iPad baseband” και αποδεχτείτε την προειδοποίηση.
  3. Όταν τελειώσει η εγκατάσταση της ramdisk, κατεβάστε το ultrasn0w από το Cydia.
Συνοπτικά #2 (PwnageTool for OSX):
  1. Εάν έχετε iPhone 3GS με παλιά bootrom και είστε ήδη unlocked αλλά θέλετε να πάτε στην 4.2.1 περιμένετε μέχρι να βγει ένα unofficial bundle
  2. Εγκαταστήστε το ultrasn0w μέσω του Cydia
  3. Κατεβάστε αυτό: IPSW

  4. Τρέξτε το PwnageTool και δημιουργήστε μια custom 4.1 ipsw. «Πείτε» στο πρόγραμμα ότι θέλετε να χρησιμοποιήσετε την iPad baseband που κατεβάσατε.  Κάντε restore στο iPhone χρησιμοποιώντας την ipsw που μόλις δημιουργήσατε.
Αναλυτικά:
Η 06.15 baseband είναι νεώτερη από τις 05.14 ή 05.15 (στις οποίες δεν δουλεύει το σημερινό unlock). Πολύ απλά αναβαθμίστε στην 06.15 έτσι ώστε να μπορείτε να χρησιμοποιήσετε το νέο αυτό unlock. Η baseband αυτή υπάρχει στην ipsw της 3.2.2 για το iPad την οποία μπορείτε να κατεβάσετε ακόμα (προλάβετε, όμως, γιατί σύντομα δεν θα είναι διαθέσιμη). Το PwnageTool και το redsn0w θα αναβαθμιστούν σύντομα ώστε να γίνει ευκολότερη αυτή η διαδικασία.
  1. Πρώτα έχουμε το “PwnageTool 4.1.3 Unlock Edition”, το οποίο είναι μόνο για Mac. Έχει ένα ειδικό παράθυρο διαλόγου που θα σας ζητάει εάν θέλετε να αναβαθμίσετε στην baseband του iPad. Απαιτείται να έχετε κατεβάσει ήδη την ipsw της 3.2.2 για το iPad.
  2. Mόλις γίνει διαθέσιμο το PwnageTool 4.1.3 θα αναβαθμιστεί και το repo του ultrasn0w: http://repo666.ultrasn0w.com με το ultrasn0w 1.2, που καλύπτει την baseband 01.59.00 για το iPhone 4 και τις 04.26.08, 05.11.07, 05.12.01, 05.13.04, 06.15.00 για τα iPhone 3G και iPhone 3GS.
  3. Τέλος, θα κυκλοφορήσει και μια αναβάθμιση στο redsn0w αργότερα για τους χρήστες Windows με τις ίδιες επιλογές και δυνατότητες.
ΠΡΟΣΟΧΗ!
  1. Δεν υπάρχει τρόπος να κάνετε downgrade την baseband ούτε να την κρύψετε από την Apple. Με αυτόν τον τρόπο χάνετε την εγγύησή σας!
  2. Εάν κυκλοφορήσει κάποια μελλοντική baseband με σημαντική διόρθωση, η οποία είναι της σειρά 05.χχ δεν θα μπορείτε να κάνετε το update (γιατί θα φαίνεται σαν downgrade). Ούτως ή άλλως, βέβαια, αποφεύγετε τις αναβαθμίσεις εφόσον βασίζεστε στο unlock.
  3. Με την έκδοση 4.2.1 και αν έχετε την 06.15 στο iPhone δεν θα μπορείτε να κάνετε restore σε original έκδοση ποτέ ξανά. Θα πρέπει πάντα να χρησιμοποιείτε custom ipsw. Και πάλι, βέβαια, αν βασίζεστε στο unlock θα πρέπει να είστε συνηθισμένοι σε αυτό.
  4. Μην αναβαθμίσετε στην 06.15 εάν δεν το χρειάζεστε!
Αυτή η έκδοση του PwnageTool περιέχει ένα bundle για την 4.2.1 για τους χρήστες iPhone 3G. Για όλους τους άλλους είναι είναι η 4.1! Εάν έχετε iPhone 3GS με την παλιά bootrom, το νέο redsn0w μπορεί να αναλάβει την 4.2.1 (στην πραγματικότητα περιλαμβάνει όλες τις συσκευές, αν και σε κάποιες είναι στη μορφή tethered). Οι χρήστες iPhone 3GS με παλιά bootrom που θέλουν να πάνε στην 4.2.1 δεν πρέπει να χρησιμοποιήσουν αυτό το PwnageTool. Aναβαθμίστε πρώτα στην 4.2.1 και μετά το νέο redsn0w θα κάνει τα υπόλοιπα.
Μπορείτε να κατεβάσετε το νέο PwnageTool από εδώ και το redsn0w εδώ για Windows και εδώ για Mac OS.